Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface MetadataPackage.Literals

Enclosing interface:
  MetadataPackage

    public static interface MetadataPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `AUTHOR_TYPE` The meta object literal for the '`Author Type`' class.
`static org.eclipse.emf.ecore.EReference` | `AUTHOR_TYPE__AUTHOR_INSTITUTION` The meta object literal for the 'Author Institution' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `AUTHOR_TYPE__AUTHOR_PERSON` The meta object literal for the 'Author Person' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `AUTHOR_TYPE__AUTHOR_ROLE` The meta object literal for the 'Author Role' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` | `AUTHOR_TYPE__AUTHOR_SPECIALITY` The meta object literal for the 'Author Speciality' attribute list feature.
`static org.eclipse.emf.ecore.EEnum` | `AVAILABILITY_STATUS_TYPE` The meta object literal for the '`Availability Status Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `AVAILABILITY_STATUS_TYPE_OBJECT` The meta object literal for the 'Availability Status Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `CODED_METADATA_TYPE` The meta object literal for the '`Coded Metadata Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `CODED_METADATA_TYPE__CODE` The meta object literal for the 'Code' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `CODED_METADATA_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `CODED_METADATA_TYPE__SCHEME_NAME` The meta object literal for the 'Scheme Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CODED_METADATA_TYPE__SCHEME_UUID` The meta object literal for the 'Scheme UUID' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ENTRY_TYPE` The meta object literal for the '`Document Entry Type`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__AUTHOR` The meta object literal for the 'Author' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__AVAILABILITY_STATUS` The meta object literal for the 'Availability Status' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__CLASS_CODE` The meta object literal for the 'Class Code' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__COMMENTS` The meta object literal for the 'Comments' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__CONFIDENTIALITY_CODE` The meta object literal for the 'Confidentiality Code' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__CREATION_TIME` The meta object literal for the 'Creation Time' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__ENTRY_UUID` The meta object literal for the 'Entry UUID' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__EVENT_CODE` The meta object literal for the 'Event Code' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__EXISTING` The meta object literal for the 'Existing' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__FORMAT_CODE` The meta object literal for the 'Format Code' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__HASH` The meta object literal for the 'Hash' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__HEALTH_CARE_FACILITY_TYPE_CODE` The meta object literal for the 'Health Care Facility Type Code' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__LANGUAGE_CODE` The meta object literal for the 'Language Code' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__LEGAL_AUTHENTICATOR` The meta object literal for the 'Legal Authenticator' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__MIME_TYPE` The meta object literal for the 'Mime Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_ID` The meta object literal for the 'Parent Document Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_RELATIONSHIP` The meta object literal for the 'Parent Document Relationship' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__PATIENT_ID` The meta object literal for the 'Patient Id' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__PRACTICE_SETTING_CODE` The meta object literal for the 'Practice Setting Code' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__SERVICE_START_TIME` The meta object literal for the 'Service Start Time' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__SERVICE_STOP_TIME` The meta object literal for the 'Service Stop Time' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__SIZE` The meta object literal for the 'Size' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_ID` The meta object literal for the 'Source Patient Id' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_INFO` The meta object literal for the 'Source Patient Info' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__TITLE` The meta object literal for the 'Title' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ENTRY_TYPE__TYPE_CODE` The meta object literal for the 'Type Code' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__UNIQUE_ID` The meta object literal for the 'Unique Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ENTRY_TYPE__URI` The meta object literal for the 'Uri' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__DOCUMENT_ENTRY` The meta object literal for the 'Document Entry' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__FOLDER` The meta object literal for the 'Folder' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__MULTIPLE_DOCUMENT_SET` The meta object literal for the 'Multiple Document Set' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__PROVIDE_AND_REGISTER_DOCUMENT_SET` The meta object literal for the 'Provide And Register Document Set' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SUBMISSION_SET` The meta object literal for the 'Submission Set' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` | `FOLDER_TYPE` The meta object literal for the '`Folder Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `FOLDER_TYPE__ASSOCIATED_DOCUMENTS` The meta object literal for the 'Associated Documents' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` | `FOLDER_TYPE__AVAILABILITY_STATUS` The meta object literal for the 'Availability Status' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `FOLDER_TYPE__CODE` The meta object literal for the 'Code' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `FOLDER_TYPE__COMMENTS` The meta object literal for the 'Comments' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `FOLDER_TYPE__ENTRY_UUID` The meta object literal for the 'Entry UUID' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `FOLDER_TYPE__EXISTING` The meta object literal for the 'Existing' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `FOLDER_TYPE__LAST_UPDATE_TIME` The meta object literal for the 'Last Update Time' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `FOLDER_TYPE__PATIENT_ID` The meta object literal for the 'Patient Id' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FOLDER_TYPE__TITLE` The meta object literal for the 'Title' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `FOLDER_TYPE__UNIQUE_ID` The meta object literal for the 'Unique Id' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `INTERNATIONAL_STRING_TYPE` The meta object literal for the '`International String Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `INTERNATIONAL_STRING_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING` The meta object literal for the 'Localized String' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `LOCALIZED_STRING_TYPE` The meta object literal for the '`Localized String Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_STRING_TYPE__CHARSET` The meta object literal for the 'Charset' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_STRING_TYPE__LANG` The meta object literal for the 'Lang' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_STRING_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `MULTIPLE_DOCUMENT_SET_TYPE` The meta object literal for the '`Multiple Document Set Type`' class.
`static org.eclipse.emf.ecore.EReference` | `MULTIPLE_DOCUMENT_SET_TYPE__DOCUMENT_SET` The meta object literal for the 'Document Set' containment reference list feature.
`static org.eclipse.emf.ecore.EDataType` | `OID` The meta object literal for the 'Oid' data type.
`static org.eclipse.emf.ecore.EDataType` | `OID_EXTENSION` The meta object literal for the 'Oid Extension' data type.
`static org.eclipse.emf.ecore.EEnum` | `PARENT_DOCUMENT_RELATIONSHIP_TYPE` The meta object literal for the '`Parent Document Relationship Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `PARENT_DOCUMENT_RELATIONSHIP_TYPE_OBJECT` The meta object literal for the 'Parent Document Relationship Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE` The meta object literal for the '`Provide And Register Document Set Type`' class.
`static org.eclipse.emf.ecore.EReference` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__DOCUMENT_ENTRY` The meta object literal for the 'Document Entry' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__FOLDER` The meta object literal for the 'Folder' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__SUBMISSION_SET` The meta object literal for the 'Submission Set' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SUBMISSION_SET_TYPE` The meta object literal for the '`Submission Set Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SUBMISSION_SET_TYPE__ASSOCIATED_DOCUMENTS` The meta object literal for the 'Associated Documents' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` | `SUBMISSION_SET_TYPE__ASSOCIATED_FOLDERS` The meta object literal for the 'Associated Folders' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `SUBMISSION_SET_TYPE__AUTHOR` The meta object literal for the 'Author' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `SUBMISSION_SET_TYPE__AVAILABILITY_STATUS` The meta object literal for the 'Availability Status' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SUBMISSION_SET_TYPE__COMMENTS` The meta object literal for the 'Comments' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SUBMISSION_SET_TYPE__CONTENT_TYPE_CODE` The meta object literal for the 'Content Type Code' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SUBMISSION_SET_TYPE__ENTRY_UUID` The meta object literal for the 'Entry UUID' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SUBMISSION_SET_TYPE__PATIENT_ID` The meta object literal for the 'Patient Id' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SUBMISSION_SET_TYPE__SOURCE_ID` The meta object literal for the 'Source Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SUBMISSION_SET_TYPE__SUBMISSION_TIME` The meta object literal for the 'Submission Time' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SUBMISSION_SET_TYPE__TITLE` The meta object literal for the 'Title' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SUBMISSION_SET_TYPE__UNIQUE_ID` The meta object literal for the 'Unique Id' attribute feature.
`static org.eclipse.emf.ecore.EDataType` | `UUID` The meta object literal for the 'Uuid' data type.

Field Detail

### AUTHOR_TYPE

    static final org.eclipse.emf.ecore.EClass AUTHOR_TYPE

  The meta object literal for the '`Author Type`' class.

  See Also:
    `AuthorTypeImpl`, `MetadataPackageImpl.getAuthorType()`

### AUTHOR_TYPE__AUTHOR_INSTITUTION

    static final org.eclipse.emf.ecore.EReference AUTHOR_TYPE__AUTHOR_INSTITUTION

  The meta object literal for the 'Author Institution' containment reference list feature.

### AUTHOR_TYPE__AUTHOR_PERSON

    static final org.eclipse.emf.ecore.EReference AUTHOR_TYPE__AUTHOR_PERSON

  The meta object literal for the 'Author Person' containment reference feature.

### AUTHOR_TYPE__AUTHOR_ROLE

    static final org.eclipse.emf.ecore.EAttribute AUTHOR_TYPE__AUTHOR_ROLE

  The meta object literal for the 'Author Role' attribute list feature.

### AUTHOR_TYPE__AUTHOR_SPECIALITY

    static final org.eclipse.emf.ecore.EAttribute AUTHOR_TYPE__AUTHOR_SPECIALITY

  The meta object literal for the 'Author Speciality' attribute list feature.

### CODED_METADATA_TYPE

    static final org.eclipse.emf.ecore.EClass CODED_METADATA_TYPE

  The meta object literal for the '`Coded Metadata Type`' class.

  See Also:
    `CodedMetadataTypeImpl`, `MetadataPackageImpl.getCodedMetadataType()`

### CODED_METADATA_TYPE__CODE

    static final org.eclipse.emf.ecore.EAttribute CODED_METADATA_TYPE__CODE

  The meta object literal for the 'Code' attribute feature.

### CODED_METADATA_TYPE__DISPLAY_NAME

    static final org.eclipse.emf.ecore.EReference CODED_METADATA_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference feature.

### CODED_METADATA_TYPE__SCHEME_NAME

    static final org.eclipse.emf.ecore.EAttribute CODED_METADATA_TYPE__SCHEME_NAME

  The meta object literal for the 'Scheme Name' attribute feature.

### CODED_METADATA_TYPE__SCHEME_UUID

    static final org.eclipse.emf.ecore.EAttribute CODED_METADATA_TYPE__SCHEME_UUID

  The meta object literal for the 'Scheme UUID' attribute feature.

### DOCUMENT_ENTRY_TYPE

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ENTRY_TYPE

  The meta object literal for the '`Document Entry Type`' class.

  See Also:
    `DocumentEntryTypeImpl`, `MetadataPackageImpl.getDocumentEntryType()`

### DOCUMENT_ENTRY_TYPE__AUTHOR

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__AUTHOR

  The meta object literal for the 'Author' containment reference list feature.

### DOCUMENT_ENTRY_TYPE__AVAILABILITY_STATUS

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__AVAILABILITY_STATUS

  The meta object literal for the 'Availability Status' attribute feature.

### DOCUMENT_ENTRY_TYPE__CLASS_CODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__CLASS_CODE

  The meta object literal for the 'Class Code' containment reference feature.

### DOCUMENT_ENTRY_TYPE__COMMENTS

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__COMMENTS

  The meta object literal for the 'Comments' containment reference feature.

### DOCUMENT_ENTRY_TYPE__CONFIDENTIALITY_CODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__CONFIDENTIALITY_CODE

  The meta object literal for the 'Confidentiality Code' containment reference feature.

### DOCUMENT_ENTRY_TYPE__CREATION_TIME

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__CREATION_TIME

  The meta object literal for the 'Creation Time' attribute feature.

### DOCUMENT_ENTRY_TYPE__ENTRY_UUID

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__ENTRY_UUID

  The meta object literal for the 'Entry UUID' attribute feature.

### DOCUMENT_ENTRY_TYPE__EVENT_CODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__EVENT_CODE

  The meta object literal for the 'Event Code' containment reference list feature.

### DOCUMENT_ENTRY_TYPE__FORMAT_CODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__FORMAT_CODE

  The meta object literal for the 'Format Code' containment reference feature.

### DOCUMENT_ENTRY_TYPE__HASH

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__HASH

  The meta object literal for the 'Hash' attribute feature.

### DOCUMENT_ENTRY_TYPE__HEALTH_CARE_FACILITY_TYPE_CODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__HEALTH_CARE_FACILITY_TYPE_CODE

  The meta object literal for the 'Health Care Facility Type Code' containment reference feature.

### DOCUMENT_ENTRY_TYPE__LANGUAGE_CODE

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__LANGUAGE_CODE

  The meta object literal for the 'Language Code' attribute feature.

### DOCUMENT_ENTRY_TYPE__LEGAL_AUTHENTICATOR

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__LEGAL_AUTHENTICATOR

  The meta object literal for the 'Legal Authenticator' containment reference feature.

### DOCUMENT_ENTRY_TYPE__MIME_TYPE

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__MIME_TYPE

  The meta object literal for the 'Mime Type' attribute feature.

### DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_RELATIONSHIP

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_RELATIONSHIP

  The meta object literal for the 'Parent Document Relationship' attribute feature.

### DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_ID

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_ID

  The meta object literal for the 'Parent Document Id' attribute feature.

### DOCUMENT_ENTRY_TYPE__PATIENT_ID

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__PATIENT_ID

  The meta object literal for the 'Patient Id' containment reference feature.

### DOCUMENT_ENTRY_TYPE__PRACTICE_SETTING_CODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__PRACTICE_SETTING_CODE

  The meta object literal for the 'Practice Setting Code' containment reference feature.

### DOCUMENT_ENTRY_TYPE__SERVICE_START_TIME

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__SERVICE_START_TIME

  The meta object literal for the 'Service Start Time' attribute feature.

### DOCUMENT_ENTRY_TYPE__SERVICE_STOP_TIME

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__SERVICE_STOP_TIME

  The meta object literal for the 'Service Stop Time' attribute feature.

### DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_ID

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_ID

  The meta object literal for the 'Source Patient Id' containment reference feature.

### DOCUMENT_ENTRY_TYPE__SIZE

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__SIZE

  The meta object literal for the 'Size' attribute feature.

### DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_INFO

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_INFO

  The meta object literal for the 'Source Patient Info' containment reference feature.

### DOCUMENT_ENTRY_TYPE__TITLE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__TITLE

  The meta object literal for the 'Title' containment reference feature.

### DOCUMENT_ENTRY_TYPE__TYPE_CODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ENTRY_TYPE__TYPE_CODE

  The meta object literal for the 'Type Code' containment reference feature.

### DOCUMENT_ENTRY_TYPE__UNIQUE_ID

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__UNIQUE_ID

  The meta object literal for the 'Unique Id' attribute feature.

### DOCUMENT_ENTRY_TYPE__URI

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__URI

  The meta object literal for the 'Uri' attribute feature.

### DOCUMENT_ENTRY_TYPE__EXISTING

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ENTRY_TYPE__EXISTING

  The meta object literal for the 'Existing' attribute feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `MetadataPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__DOCUMENT_ENTRY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__DOCUMENT_ENTRY

  The meta object literal for the 'Document Entry' containment reference feature.

### DOCUMENT_ROOT__FOLDER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__FOLDER

  The meta object literal for the 'Folder' containment reference feature.

### DOCUMENT_ROOT__MULTIPLE_DOCUMENT_SET

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__MULTIPLE_DOCUMENT_SET

  The meta object literal for the 'Multiple Document Set' containment reference feature.

### DOCUMENT_ROOT__PROVIDE_AND_REGISTER_DOCUMENT_SET

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__PROVIDE_AND_REGISTER_DOCUMENT_SET

  The meta object literal for the 'Provide And Register Document Set' containment reference feature.

### DOCUMENT_ROOT__SUBMISSION_SET

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SUBMISSION_SET

  The meta object literal for the 'Submission Set' containment reference feature.

### FOLDER_TYPE

    static final org.eclipse.emf.ecore.EClass FOLDER_TYPE

  The meta object literal for the '`Folder Type`' class.

  See Also:
    `FolderTypeImpl`, `MetadataPackageImpl.getFolderType()`

### FOLDER_TYPE__ASSOCIATED_DOCUMENTS

    static final org.eclipse.emf.ecore.EAttribute FOLDER_TYPE__ASSOCIATED_DOCUMENTS

  The meta object literal for the 'Associated Documents' attribute list feature.

### FOLDER_TYPE__AVAILABILITY_STATUS

    static final org.eclipse.emf.ecore.EAttribute FOLDER_TYPE__AVAILABILITY_STATUS

  The meta object literal for the 'Availability Status' attribute feature.

### FOLDER_TYPE__CODE

    static final org.eclipse.emf.ecore.EReference FOLDER_TYPE__CODE

  The meta object literal for the 'Code' containment reference list feature.

### FOLDER_TYPE__COMMENTS

    static final org.eclipse.emf.ecore.EReference FOLDER_TYPE__COMMENTS

  The meta object literal for the 'Comments' containment reference feature.

### FOLDER_TYPE__ENTRY_UUID

    static final org.eclipse.emf.ecore.EAttribute FOLDER_TYPE__ENTRY_UUID

  The meta object literal for the 'Entry UUID' attribute feature.

### FOLDER_TYPE__LAST_UPDATE_TIME

    static final org.eclipse.emf.ecore.EAttribute FOLDER_TYPE__LAST_UPDATE_TIME

  The meta object literal for the 'Last Update Time' attribute feature.

### FOLDER_TYPE__PATIENT_ID

    static final org.eclipse.emf.ecore.EReference FOLDER_TYPE__PATIENT_ID

  The meta object literal for the 'Patient Id' containment reference feature.

### FOLDER_TYPE__TITLE

    static final org.eclipse.emf.ecore.EReference FOLDER_TYPE__TITLE

  The meta object literal for the 'Title' containment reference feature.

### FOLDER_TYPE__UNIQUE_ID

    static final org.eclipse.emf.ecore.EAttribute FOLDER_TYPE__UNIQUE_ID

  The meta object literal for the 'Unique Id' attribute feature.

### FOLDER_TYPE__EXISTING

    static final org.eclipse.emf.ecore.EAttribute FOLDER_TYPE__EXISTING

  The meta object literal for the 'Existing' attribute feature.

### INTERNATIONAL_STRING_TYPE

    static final org.eclipse.emf.ecore.EClass INTERNATIONAL_STRING_TYPE

  The meta object literal for the '`International String Type`' class.

  See Also:
    `InternationalStringTypeImpl`, `MetadataPackageImpl.getInternationalStringType()`

### INTERNATIONAL_STRING_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute INTERNATIONAL_STRING_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

    static final org.eclipse.emf.ecore.EReference INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

  The meta object literal for the 'Localized String' containment reference list feature.

### LOCALIZED_STRING_TYPE

    static final org.eclipse.emf.ecore.EClass LOCALIZED_STRING_TYPE

  The meta object literal for the '`Localized String Type`' class.

  See Also:
    `LocalizedStringTypeImpl`, `MetadataPackageImpl.getLocalizedStringType()`

### LOCALIZED_STRING_TYPE__CHARSET

    static final org.eclipse.emf.ecore.EAttribute LOCALIZED_STRING_TYPE__CHARSET

  The meta object literal for the 'Charset' attribute feature.

### LOCALIZED_STRING_TYPE__LANG

    static final org.eclipse.emf.ecore.EAttribute LOCALIZED_STRING_TYPE__LANG

  The meta object literal for the 'Lang' attribute feature.

### LOCALIZED_STRING_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute LOCALIZED_STRING_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### MULTIPLE_DOCUMENT_SET_TYPE

    static final org.eclipse.emf.ecore.EClass MULTIPLE_DOCUMENT_SET_TYPE

  The meta object literal for the '`Multiple Document Set Type`' class.

  See Also:
    `MultipleDocumentSetTypeImpl`, `MetadataPackageImpl.getMultipleDocumentSetType()`

### MULTIPLE_DOCUMENT_SET_TYPE__DOCUMENT_SET

    static final org.eclipse.emf.ecore.EReference MULTIPLE_DOCUMENT_SET_TYPE__DOCUMENT_SET

  The meta object literal for the 'Document Set' containment reference list feature.

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE

    static final org.eclipse.emf.ecore.EClass PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE

  The meta object literal for the '`Provide And Register Document Set Type`' class.

  See Also:
    `ProvideAndRegisterDocumentSetTypeImpl`, `MetadataPackageImpl.getProvideAndRegisterDocumentSetType()`

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__SUBMISSION_SET

    static final org.eclipse.emf.ecore.EReference PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__SUBMISSION_SET

  The meta object literal for the 'Submission Set' containment reference feature.

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__FOLDER

    static final org.eclipse.emf.ecore.EReference PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__FOLDER

  The meta object literal for the 'Folder' containment reference list feature.

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__DOCUMENT_ENTRY

    static final org.eclipse.emf.ecore.EReference PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__DOCUMENT_ENTRY

  The meta object literal for the 'Document Entry' containment reference list feature.

### SUBMISSION_SET_TYPE

    static final org.eclipse.emf.ecore.EClass SUBMISSION_SET_TYPE

  The meta object literal for the '`Submission Set Type`' class.

  See Also:
    `SubmissionSetTypeImpl`, `MetadataPackageImpl.getSubmissionSetType()`

### SUBMISSION_SET_TYPE__ASSOCIATED_DOCUMENTS

    static final org.eclipse.emf.ecore.EAttribute SUBMISSION_SET_TYPE__ASSOCIATED_DOCUMENTS

  The meta object literal for the 'Associated Documents' attribute list feature.

### SUBMISSION_SET_TYPE__ASSOCIATED_FOLDERS

    static final org.eclipse.emf.ecore.EAttribute SUBMISSION_SET_TYPE__ASSOCIATED_FOLDERS

  The meta object literal for the 'Associated Folders' attribute list feature.

### SUBMISSION_SET_TYPE__AUTHOR

    static final org.eclipse.emf.ecore.EReference SUBMISSION_SET_TYPE__AUTHOR

  The meta object literal for the 'Author' containment reference list feature.

### SUBMISSION_SET_TYPE__AVAILABILITY_STATUS

    static final org.eclipse.emf.ecore.EAttribute SUBMISSION_SET_TYPE__AVAILABILITY_STATUS

  The meta object literal for the 'Availability Status' attribute feature.

### SUBMISSION_SET_TYPE__COMMENTS

    static final org.eclipse.emf.ecore.EReference SUBMISSION_SET_TYPE__COMMENTS

  The meta object literal for the 'Comments' containment reference feature.

### SUBMISSION_SET_TYPE__CONTENT_TYPE_CODE

    static final org.eclipse.emf.ecore.EReference SUBMISSION_SET_TYPE__CONTENT_TYPE_CODE

  The meta object literal for the 'Content Type Code' containment reference feature.

### SUBMISSION_SET_TYPE__ENTRY_UUID

    static final org.eclipse.emf.ecore.EAttribute SUBMISSION_SET_TYPE__ENTRY_UUID

  The meta object literal for the 'Entry UUID' attribute feature.

### SUBMISSION_SET_TYPE__PATIENT_ID

    static final org.eclipse.emf.ecore.EReference SUBMISSION_SET_TYPE__PATIENT_ID

  The meta object literal for the 'Patient Id' containment reference feature.

### SUBMISSION_SET_TYPE__SOURCE_ID

    static final org.eclipse.emf.ecore.EAttribute SUBMISSION_SET_TYPE__SOURCE_ID

  The meta object literal for the 'Source Id' attribute feature.

### SUBMISSION_SET_TYPE__SUBMISSION_TIME

    static final org.eclipse.emf.ecore.EAttribute SUBMISSION_SET_TYPE__SUBMISSION_TIME

  The meta object literal for the 'Submission Time' attribute feature.

### SUBMISSION_SET_TYPE__TITLE

    static final org.eclipse.emf.ecore.EReference SUBMISSION_SET_TYPE__TITLE

  The meta object literal for the 'Title' containment reference feature.

### SUBMISSION_SET_TYPE__UNIQUE_ID

    static final org.eclipse.emf.ecore.EAttribute SUBMISSION_SET_TYPE__UNIQUE_ID

  The meta object literal for the 'Unique Id' attribute feature.

### AVAILABILITY_STATUS_TYPE

    static final org.eclipse.emf.ecore.EEnum AVAILABILITY_STATUS_TYPE

  The meta object literal for the '`Availability Status Type`' enum.

  See Also:
    `AvailabilityStatusType`, `MetadataPackageImpl.getAvailabilityStatusType()`

### PARENT_DOCUMENT_RELATIONSHIP_TYPE

    static final org.eclipse.emf.ecore.EEnum PARENT_DOCUMENT_RELATIONSHIP_TYPE

  The meta object literal for the '`Parent Document Relationship Type`' enum.

  See Also:
    `ParentDocumentRelationshipType`, `MetadataPackageImpl.getParentDocumentRelationshipType()`

### AVAILABILITY_STATUS_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType AVAILABILITY_STATUS_TYPE_OBJECT

  The meta object literal for the 'Availability Status Type Object' data type.

  See Also:
    `AvailabilityStatusType`, `MetadataPackageImpl.getAvailabilityStatusTypeObject()`

### OID

    static final org.eclipse.emf.ecore.EDataType OID

  The meta object literal for the 'Oid' data type.

  See Also:
    `String`, `MetadataPackageImpl.getOid()`

### OID_EXTENSION

    static final org.eclipse.emf.ecore.EDataType OID_EXTENSION

  The meta object literal for the 'Oid Extension' data type.

  See Also:
    `String`, `MetadataPackageImpl.getOidExtension()`

### PARENT_DOCUMENT_RELATIONSHIP_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType PARENT_DOCUMENT_RELATIONSHIP_TYPE_OBJECT

  The meta object literal for the 'Parent Document Relationship Type Object' data type.

  See Also:
    `ParentDocumentRelationshipType`, `MetadataPackageImpl.getParentDocumentRelationshipTypeObject()`

### UUID

    static final org.eclipse.emf.ecore.EDataType UUID

  The meta object literal for the 'Uuid' data type.

  See Also:
    `String`, `MetadataPackageImpl.getUuid()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD